package org.project.entity.players;

import org.project.entity.enemies.Enemy;

public class Wizard extends Player{

    private final static PlayerStats stats = new PlayerStats(11, 9,
            18, 24,
            14, 22, 30,
            240, 55);

    public Wizard(String name) { super(name, stats); }

    @Override
    public void heavyAttack(Enemy target) { target.takeDamage(stats.heavyAttackDamage);}

    @Override
    public void specialAbility(Enemy target) {
        target.takeDamage(stats.specialAbilityDamage); //causing damage
        heal(20); //replenishing HP
        System.out.println("You cast a devastating spell");
    }
}
